Bug 1565975 - environment for neutron-sriov points to the wrong file
Summary: environment for neutron-sriov points to the wrong file
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 08:36 UTC by Yolanda Robla
Modified: 2018-07-05 04:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-05 04:02:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 560559 0 None None None 2018-04-11 16:26:38 UTC

Description Yolanda Robla 2018-04-11 08:36:49 UTC
Description of problem:

The code for neutron-sriov is currently pointing to puppet:

https://github.com/openstack/tripleo-heat-templates/blob/stable/pike/environments/neutron-sriov.yaml#L2..L4

../puppet/services/neutron-sriov-agent.yaml

It needs to point to:

../docker/services/neutron-sriov-agent.yaml

Comment 4 Bogdan Dobrelya 2018-06-20 06:37:16 UTC
The upstream topic https://review.openstack.org/#/q/topic:containers-default+(status:open+OR+status:merged cannot be fully backported to Pike and cannot make it into OSP12 z stream (see https://bugzilla.redhat.com/show_bug.cgi?id=1581361). We need to think of an alternative downstream only fix.

Comment 8 Saravanan KR 2018-07-05 04:02:17 UTC
(In reply to Yolanda Robla from comment #0)
> Description of problem:
> 
> The code for neutron-sriov is currently pointing to puppet:
> 
> https://github.com/openstack/tripleo-heat-templates/blob/stable/pike/
> environments/neutron-sriov.yaml#L2..L4
> 
> ../puppet/services/neutron-sriov-agent.yaml
> 
> It needs to point to:
> 
> ../docker/services/neutron-sriov-agent.yaml

Neutron services are not containerized in OSP12. And in OSP12 and OSP13, new service folder (environments/services-docker) should be used instead of the default env file for enabling docker. Closing this BZ, reopen, if any changes required.


Note You need to log in before you can comment on or make changes to this bug.